
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>华大基因BGI Online的云计算实践 / iVAN</title>

    <meta name="description" content="华大基因BGI Online的云计算实践 本文正在参加&quot;最佳上云实践&quot;评选,来给我们投票吧:https://yq.aliyun.com/activity/158(编号13) 基因测序为生命科学领域带来机遇,随着测序技术的发展和测序成本的降低,基因测序在生物信息与医疗健康等领域得到广泛应用.但同时,基因测序行业也面临着处理及分析海量数据的全新挑战.传统的硬盘已无法满足大数据的存储,而大数据处理和分析解读工作存在复杂性和不可预测性,因此需要极强的计算能力.   我们的产品生物信息分析云平台BGI Online正是为了解决 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">华大基因BGI Online的云计算实践</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文正在参加“最佳上云实践”评选，来给我们投票吧：（编号13）</p>
<p>基因测序为生命科学领域带来机遇，随着测序技术的发展和测序成本的降低，基因测序在生物信息与医疗健康等领域得到广泛应用。但同时，基因测序行业也面临着处理及分析海量数据的全新挑战。传统的硬盘已无法满足大数据的存储，而大数据处理和分析解读工作存在复杂性和不可预测性，因此需要极强的计算能力。</p>
<p> </p>
<p>我们的产品生物信息分析云平台BGI Online正是为了解决这个难题而诞生。BGI Online是由华大基因开发的一款基于“云”的生物信息数据云平台。2014年，BGI Online项目启动；2015年，我们在评估了数据存储与计算的需求后，决定与阿里云合作，选择其作为我们产品的主要计算资源供应商。通过在云计算、大数据领域的长期技术积累，阿里云具备支撑这个世界最大基因中心核心业务系统的能力，满足我们在数据处理、隐私安全保护以及传输方面极为严苛的要求。</p>
<p> </p>
<p><b>1. 架构解析/优化</b></p>
<p>任何系统架构的搭建和新技术的应用都是由业务需求催生的。生物信息分析面对的基因数据动则数十G乃至上百G，大文件的传输、存储、计算对平台的IO吞吐、扩展性、伸缩性都有很高的要求。生物信息分析是对大文件的精细分析，同时属于数据密集型、计算密集型、IO密集型应用。大量基因数据的持久化和流动，要求文件管理系统的大容量、高伸缩、高通量；大量的计算需求要求计算资源的高性能、高时效、经济性。</p>
<p> </p>
<p>为了满足用户基因数据的存、管、算、传，BGI Online系统设计了多个架构组件，分别为前端、后端、任务管理引擎、存储管理、文件传输五大部分。前端通过WEB服务呈现系统业务和提供用户操作，WEB请求通过SLB做负载均衡，并在阿里云提供的VPC和云盾的防护下提供高可用的服务。后端管理系统的业务数据和处理业务逻辑，后端服务部署在多台ECS上，并采用RDS服务存储业务数据。任务管理引擎接受前端请求，管理计算资源实现生物信息数据的分析，阿里云提供了海量的ECS节点，并对每个ECS节点提供了完整、详细的API文档，通过对接ECS节点实现了计算资源的弹性伸缩和强大的分布式计算能力。存储管理负责基因数据的存储和管理，运用OSS和OAS实现了基因数据的冷热存储，除了OSS和OAS本身提供的加密存储外，还对接OSS服务实现数据的去身份化，大大提高了平台的安全性。文件传输通过部署在ECS上的服务提供，庞大的基因数据上云是数据流的起始端和瓶颈，阿里云通过铺设阿里机房到华大集群的专线，显著提升了数据传输的速度。BGI Online的架构见下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3lxZmlsZS5hbGljZG4uY29tLzY0NjQzZjVhYzdkNzZlNzhlNGVkNzk4NDZjMzU5MGMxYWQwMzNmNmIucG5n.jpg"></p>
<p><b>2. 上云前后分析对比</b></p>
<p>阿里云服务让我们从繁重的基础设施购置与维护中解放出来，从而专注于平台的开发和运营。BGI Online在阿里云上的稳定存储量已经超过400TB，阿里云提供安全、海量的存储服务保障了基因数据的安全和业务需求，促进了我们业务的发展。通过与阿里云的深度合作和研究实践，在双方的共同努力下，将生物信息分析在云上的计算时效一步步向前推进，在21小时47分12秒内完成了1000例人类全外显子组数据的分析，效率提升了400%。阿里云作为中国最大的公有云服务提供商，连接各行各业广大的用户群体，任何用户都可以通过网路享受阿里云上的服务，在保障安全的前提下最大化地连接了用户。BGI Online平台依托开放的阿里云服务提供在线协作功能，不同角色的用户可以在平台上完成数据交付、生物信息分析、项目管理、生物信息工具开发等一系列业务功能，整合了行业的多种分工，建立起了一个完整的行业生态。</p>
<p> </p>
<p>2016年8月30日，BGI Online国内版正式在公司内部上线内测，此后陆续完成了十几个大型项目的流程部署与测试，如24小时内完成储存峰值超10T、计算任务超1000个的87个遗传病家系基因组分析，和成功部署由开发者自主研发的单细胞基因组分析等项目，并取得突破性成果，阿里云的云服务在这些项目中起到了关键性的作用。</p>
<p> </p>
<p><b>总结</b></p>
<p>BGI Online平台利用阿里云的云技术服务实现了在医学研究、疾病筛查及临床医疗等不同应用场景、模式下的低成本及高效自动化的基因数据传输与存储，同时也解决了数据安全及计算资源的问题。我们团队相信，有了阿里云的核心力量支持，BGI Online平台必将不断创造生物云计算行业的“新纪录”！</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:49:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8/" title="存储">存储</a>, <a href="https://www.iamivan.net/tag/%e6%9e%b6%e6%9e%84/" title="架构">架构</a>, <a href="https://www.iamivan.net/tag/%e9%98%bf%e9%87%8c%e4%ba%91/" title="阿里云">阿里云</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%9c%8d%e5%8a%a1/" title="云服务">云服务</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e5%b9%b3%e5%8f%b0/" title="云平台">云平台</a>, <a href="https://www.iamivan.net/tag/ecs/" title="ECS">ECS</a>, <a href="https://www.iamivan.net/tag/%e5%bc%b9%e6%80%a7%e4%bc%b8%e7%bc%a9/" title="弹性伸缩">弹性伸缩</a>, <a href="https://www.iamivan.net/tag/%e5%a4%a7%e6%95%b0%e6%8d%ae/" title="大数据">大数据</a>, <a href="https://www.iamivan.net/tag/%e5%ae%89%e5%85%a8/" title="安全">安全</a>, <a href="https://www.iamivan.net/tag/%e5%88%86%e5%b8%83%e5%bc%8f%e8%ae%a1%e7%ae%97/" title="分布式计算">分布式计算</a>, <a href="https://www.iamivan.net/tag/%e5%85%ac%e6%9c%89%e4%ba%91/" title="公有云">公有云</a>, <a href="https://www.iamivan.net/tag/bgi/" title="BGI">BGI</a>, <a href="https://www.iamivan.net/tag/%e5%8d%8e%e5%a4%a7%e5%9f%ba%e5%9b%a0/" title="华大基因">华大基因</a>, <a href="https://www.iamivan.net/tag/%e4%ba%91%e8%ae%a1%e7%ae%97%ef%bc%8c%e7%94%9f%e7%89%a9%e4%ba%91%ef%bc%8c%e5%9f%ba%e5%9b%a0%ef%bc%8c%e7%b2%be%e5%87%86%e5%8c%bb%e7%96%97/" title="云计算，生物云，基因，精准医疗">云计算，生物云，基因，精准医疗</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>华大基因BGI Online的云计算实践的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMywQdz.html" rel="bookmark">基因大数据分析的云计算实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				基因测序有着广泛的行业应用,在预防出生缺陷.检测遗传性疾病与肿瘤用药指导等领域,能提供极大帮助.近年来基因组学研究进展飞速,华大基因也凭借强大的研发实力,成为全球最大的基因组学研究中心,其研究成果在全球都有广泛的影响力. 在基因组学行业迅速发展的当下,基因测序成本已实现快速下降,从过去的天价一跃进入大众也能轻松负担的&quot;千元&quot;时代.同时,多项杀手级临床应用均引入基因测序,拉动覆盖用户数量成倍攀升.随着高通量测序仪的发展,需要存储计算的基因数据量,呈指数级增长.基因测序已进入爆发式的阶段,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2YxZBz.html" rel="bookmark">华大基因BGI Online负责人金鑫主讲：基因大数据的起源、现状与未来&vert; 硬创公开课</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着基因测序价格以超摩尔定律的势态下降,其被广泛应用于基因组学研究.临床诊断以及多种疾病个性化治疗等领域.对此,业内人士认为,当今基因测序行业面临最大的挑战已不再是基因测序技术,而是处理巨大的数据量以及如何从巨大数据中获取临床指导.据雷锋网了解,生物信息分析服务是目前业界公认的最具发掘潜力以及盈利能力的环节,但目前国内还处于起步阶段. 那么,基因数据与其他数据有何异同?处理基因数据又何难点和挑战?基因数据的未来是怎样的?本次公开课,雷锋网AI掘金志栏目邀请了华大基因研发中心副总监金鑫,带来&lt;基因			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M06V9Pz.html" rel="bookmark">华大基因将推出生物云计算服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[深圳商报讯](记者 贾少强 通讯员 梁淡丽)国际权威期刊&lt;自然&gt;杂志,7月26日以&lt;基因组学巨头提供数据服务&gt;为题,刊登了全球最大的基因组测序机构之一--华大基因正展望于云计算的报道.华大基因宣布将在今年计划推出生物云计算服务,希望通过产品创新,更好地满足各大科研机构及生命科技行业对信息能力的需求.届时用户可以通过互联网远程操作进行测序数据的处理,随时随地获取生物信息分析资源. 据华大基因相关负责人介绍,由于DNA测序技术成本的下降幅度远远高于测序数据存储成本,云计算已成为基因组			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDevqBb.html" rel="bookmark">华大基因茅矛：云计算让精准医疗走进生活</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				2016年是&quot;十三五&quot;的开局之年,也是中国医疗卫生行业的关键一年.现在看来,也会是医疗行业和以大数据为代表的信息技术相互融合发展之年.今年4月,国务院办公厅印发&lt;深化医药卫生体制改革2016年重点工作任务&gt;,其中不仅谈到了要加强卫生信息化工作,更强调了要让大数据在医疗一线发挥作用. 医疗行业对大数据等IT技术的看重,不仅体现在政府政策之中,也体现在了实际的诊疗体系之中.随着患者对治疗质量的期待越来越高,以及基因组测序技术的革新.生物医学分析技术的进步.以及大数据分析工具的出			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2YAEkz.html" rel="bookmark">华大基因推出 首款云计算产品</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4月24日,华大基因宣布其成功构建了一个自主开发的云计算服务产品--EasyGenomics,该产品旨在为&quot;组学&quot;研究领域的科研人员提供快捷.准确和易于操作的新一代测序分析服务,从而更好地应对及解决海量生物信息数据的存储.处理.计算和分析等问题. 以数据为驱动力的研究正引发着现代生命科学领域的巨大变革.&quot;大数据&quot;成为近期兴起的一个热点话题.它被一些科学家称为&quot;一种新型货币&quot;和&quot;一种新的石油&quot;.美国总统奥巴马于3月29日刚刚宣布			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPe2Dp.html" rel="bookmark">㉓云上场景：华大基因，BGI Online的阿里云实践</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				历经16年的风雨,华大基因成为全球最大的基因组学研发中心,并且多次入选世界顶级学术期刊&lt;自然&gt;排名中国科研机构前5名,仅次于中国科学院.中国科技大学和清华.北大.   虽然华大基因的年收入尚在10亿元级别,但是其背后蕴藏的却是千亿乃至万亿的市场.华大基因的历史是从&quot;人类基因组计划&quot;开始的,承担了这个计划大约1%的工作.基因数据量很大,这些数据需要经过分析.处理,才能搞明白基因和疾病的关系,而这需要大量计算和存储. 近日,华大基因宣布其在阿里云计算平台部署的服务产品BGI O			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBeEqz.html" rel="bookmark">华大基因：云计算&OpenCurlyDoubleQuote;撬动&rdquo;大基因</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				华大基因:云计算&quot;撬动&quot;大基因 &quot;云栖奖&quot;获奖人:华大基因研发中心副总监 金鑫 作者:阿里云研究中心 田丰 中美两国均已启动&quot;精准医疗计划&quot;,在这个千亿美元的&quot;蓝海市场&quot;中,基因技术持续推动精准诊断.精准治疗产业链的蓬勃发展.两国上至政府,下至企业都在利用云计算.大数据等普惠技术加速基因医疗服务.美国谷歌云正在与遗传数据机构合作研发&quot;谷歌基因组&quot;项目,打造遗传分析云服务,Broad Institute遗传研			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6o57b.html" rel="bookmark">金鑫：基因应用现状解析及华大基因的数据平台架构</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前不久&lt;金刚狼3:殊死一战&gt;上映,在狼叔休·杰克曼的光环下,仅两周时间,全球票房已高达4.38亿美元,其中精彩的动作戏与狼叔的谢幕无疑是观众追求的热点.然而不管是&lt;金刚狼&gt;抑或是&lt;X战警&gt;,基因突变带来的超能力都是贯穿整个故事的基本元素. 基因科技是什么?时至今日相信大家都已经有了一定的了解,就比如孕妈妈熟知的无创基因检测,又比如说大量场景中用到的DNA亲权鉴定.然而,在这之外,日常生活中基因应用还有哪些方面?是否如电影&lt;生化危机&gt;.&lt;我是传奇&gt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwxyZ8b.html" rel="bookmark">阿里云MaxCompute携手华大基因打造精准医疗应用云平台</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				摘要:华大基因股份公司总监金鑫介绍了华大基因,并浅谈了与阿里云的情缘,包括Maxcompute等方面应用案例.一起来看下吧.   关于华大基因 华大基因是中国最领先的基因科技公司,华大基因为消除人类病痛.经济危机.国家灾难.濒危动物保护.缩小贫富差距等方面提供分子遗传层面的技术支持.目前,世界上只有两个国家的三个公司可以生产.量产临床级别的基因测序仪,华大基因是中国的唯一一家.我们在基因的产权研发方面从1999年开始做了很多的工作.在2014年,我们与阿里云有了初步的接触,在2015年上线了我国			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpP4aDp.html" rel="bookmark" class="title">网站赢利模式分析</a>
					<div>
						随着大量新鲜血液的快速加入,使得本来以为饱和的中国互联网商业模式,又有了新的发展可能,电子商务,网络游戏等等需要大基数群众参与的项目,在09年将更快的得到发展,而网络订票,网络组团,玩乐,订票,区域性 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/wzVjLBz.html" rel="bookmark" class="title">Jsp分页原代码，及用法</a>
					<div>
						js|分页 Jsp分页原代码,及用法 1.定义一个分页的Tag Bean,以便用户在Jsp页中使用自定义标签,用户在使用时可以相应的描述 package BSC.tree; import javax. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv01Nz.html" rel="bookmark" class="title">C&plus;&plus;编程中的四个调试小技巧</a>
					<div>
						c++|编程|技巧     1.调试标记     适用预处理#define定义一个或多个调试标记,在代码中把调试部分使用#ifdef和#endif进行管理.当程序最终调试完成后,只需要使用#undef ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VzwZBRp.html" rel="bookmark" class="title">ios编程：iphone的启动画面</a>
					<div>
						一种方法是,直接在应用程序根目录下放置一个default.png图片作为程序的启动画面. 下面是另一种方法,转自: http://blogold.chinaunix.net/u1/49717/show ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK78Wp.html" rel="bookmark" class="title">文件自动更新类</a>
					<div>
						网上有很多讨论如何实现文件的自我更新的文章,都知道比较两个文件的版本, 但关键是如何处理文件如何销毁自己就麻烦了. 通常方法是用另外的文件相互更新.如A更新B.B更新A.这样总不方便.我这里采 用编写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk25OOM.html" rel="bookmark" class="title">Delphi与DirectX之DelphiX&lpar;54&rpar;&colon;TDIB&period;DoGaussianBlur&lpar;&rpar;&semi;</a>
					<div>
						本例效果图: 代码文件: unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NykNz.html" rel="bookmark" class="title">创建&OpenCurlyDoubleQuote;通用的&rdquo;动态链接库（DLL）</a>
					<div>
						最近有许多人问如何让动态链接库的输出函数能够被任何支持动态链接库的语言调用.写动态链接库是很EASY的事情.但是,他们大多觉得输出的名字有乱字符(如:_vbShiftRight@1).我想在这里就讨论 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNea1b.html" rel="bookmark" class="title">Windows和Virtualbox端口号映射失败怎么办？</a>
					<div>
						在Virtualbox虚拟机中运行Ubuntu系统时,有时候需要通过端口映射来实现主机pc端和虚拟机内部镜像通信,端口和虚拟机内部的服务相对应.在Virtualbox启动阶段会映射这些端口,然而在Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZOQlwb.html" rel="bookmark" class="title">PhotoShop CS5合成陈列于画框里的蝴蝶标本教程</a>
					<div>
						George Cairns将告诉大家如何将多幅照片合成为一幅优美而独特的作品. 三联推荐:photoshop7.0迷你版免费下载    |  Photoshop CS5 中文免费下载  |  phot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaJ1AM.html" rel="bookmark" class="title">ZBrush网格提取的使用技巧</a>
					<div>
						  网格提取是一种快速提取方法,ZBrush在软件中有着广泛的应用,它可以为当前模型创造新的部件,使用现有的几何形状,用户可以快速.轻松地创建一件外套,或者头盔和手套.甚至是角色所需的任何部件,网格提 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62lvJM.html" rel="bookmark" class="title">使用firebug进行调试javascript的示例</a>
					<div>
						 调试javascript的方法有很多,在本文为大家介绍下使用firebug是如何做到的,感兴趣的朋友可以参考下 代码如下: &lt;script type=&quot;text/javascript ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8kQ0p.html" rel="bookmark" class="title">Linux下如何挂载USB设备</a>
					<div>
						  挂载时使用mount命令: 格式:mount [-参数] [设备名称] [挂载点] 我们常见的USB设备格式是:FAT32格式.NFTS格式等. ext2 linux目前常用的文件系统 msdos ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o92mb.html" rel="bookmark" class="title">新浪UC如何开通群语音</a>
					<div>
						第一次使用新浪UC群语音功能,需要该群创建者开通语音群聊,请点击&quot;开通语音群聊&quot;按钮,完成开通过程.群内用户才可以使用群组语音功能.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaWnaz.html" rel="bookmark" class="title">class-windows任务栏上增加菜单栏？类似播放器的功能</a>
					<div>
						问题描述 windows任务栏上增加菜单栏?类似播放器的功能 windows任务栏上增加菜单栏,点击菜单栏不启动程序执行其中的命令,这个功能怎么实现?类似播放器的功能 解决方案 可以使用shell带区 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWqE6p.html" rel="bookmark" class="title">spring 什么是依赖对象&quest;&quest;&quest;&quest;   什么是依赖注入？？？？   他们有什么关系？？？？</a>
					<div>
						问题描述 spring什么是依赖对象????什么是依赖注入????他们有什么关系????					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo22Pb.html" rel="bookmark" class="title">php-PHP如何接收post来的json数据并解析</a>
					<div>
						问题描述 PHP如何接收post来的json数据并解析 jsonstring数据,有Java post给PHP的,请问PHP如何接收这个json数据,重点是接收,有代码示例就更好 注意post的是js ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32YaWz.html" rel="bookmark" class="title">应用程序本地化之文本本地化</a>
					<div>
						一.概念     本地化就是使应用适合与本地区用户习惯的过程.本地化涉及多方面内容,包括文字.货币.日期和图片,甚至语音都需要本地化. 二.本地化分类     1.文本信息本地化        文本信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAmQ6M.html" rel="bookmark" class="title">POC完成步入落地阶段，民生保险区块链项目谈如何回归业务本质</a>
					<div>
						&quot;在我看来,未来金融科技对于保险业的颠覆会更加地厉害.整个生活和保险业务场景都产生了凶猛的变化.&quot; 清华大学国家金融研究院院长.国际货币基金组织原副总裁.中国人民银行原副行长朱民日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P3P4p.html" rel="bookmark" class="title">简述云的三个层次</a>
					<div>
						SaaS以及云计算关系的争论越来越大,就好像在IT行业的两大巨头微软和IBM一样,云计算包含三个层次:基础架构层(IaaS);平台层(PaaS);软件服务层(SaaS).这种分法虽然争议很多,但与较之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6ZWBz.html" rel="bookmark" class="title">插件-前台UI矩阵实现，求更好实现方式</a>
					<div>
						问题描述 前台UI矩阵实现,求更好实现方式 哪位能介绍下是否有插件可动态方便实现?? 解决方案 直接拿各种网格控件结合css样式自己配置下,固定行列宽度,加上底纹.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQaD8p.html" rel="bookmark" class="title">【COCOS2DX-LUA 脚本开发之十四】解决自定义CPP类通过TOLUA&plus;&plus; BINDING LUACOCOS2D后编译到ANDROID运行黑屏&lpar;没有调用自定义CPP类&rpar;的问题！</a>
					<div>
						本站文章均为 李华明Himi 原创,转载务必在明显处注明:  转载自[黑米GameDev街区] 原文链接: http://www.himigame.com/lua-game/1388.html 唉,首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7n8Xp.html" rel="bookmark" class="title">解构微信：打败微信的将会是一款什么样的产品？</a>
					<div>
						人人都是产品经理是中国最大最活跃的产品经理学习.交流.分享社区.集媒体.社区.招聘 .教育.社群活动为一体,全方位服务产品经理.本文由人人都是产品经理社区 作者@张宏攀(微信号:zhp_no1) 原创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDWq3z.html" rel="bookmark" class="title">不计其数的Windows用户成为微软反盗版工具测试版的实验对象</a>
					<div>
						微软已把非正式版的&quot;Windows客户权益独享通知&quot;(Windows Genuine Advantage Notifications:WGA Notifications)软件传至用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBg6W9M.html" rel="bookmark" class="title">如果调用ASP&period;NET Web API不能发送PUT&sol;DELETE请求怎么办？</a>
					<div>
						理想的RESTful Web API采用面向资源的架构,并使用请求的HTTP方法表示针对目标资源的操作类型.但是理想和现实是有距离的,虽然HTTP协议提供了一系列原生的HTTP方法,但是在具体的网络环 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJJvnp.html" rel="bookmark" class="title">怎给winform treeview 动态添加图标</a>
					<div>
						问题描述 就是父节点就统一一种图标,子节点就另一种图标试过添加一个imageList1然后把图标加进去,这样都不行,只能显示一种图标treeView1.ImageList=imageList1;for ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgrrdM.html" rel="bookmark" class="title">人脸识别这么火，这些你知道吗</a>
					<div>
						&quot;如何证明我就是我&quot;这在原本对于很多人来说是跑断腿的难题,现在这个难题已经被人脸识别技术攻破,因为身份证也要进入&quot;刷脸时代&quot;.从2016国家网络安全宣传周法治日 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN6QeM.html" rel="bookmark" class="title">&lpar;转帖&rpar;CIO考量之道&mdash;&mdash;用友发布会有感</a>
					<div>
						问题描述 年前在网上看了用友新三年战略发布会在线直播.这次用友的动作很大,提出了新的市场主题,又对集团架构和业务策略进行了新布局.行业大佬的一动,必然体现出发展的趋势,事后耐着性子细细品来,才发现用友 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRJOOp.html" rel="bookmark" class="title">为什么我的COOKIE没有保存呢&period;</a>
					<div>
						问题描述 protectedvoidButton1_Click(objectsender,EventArgse){HttpCookieMyCookie=newHttpCookie(&quot;Last ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE2wOz.html" rel="bookmark" class="title">silverlight数据绑定模式TwoWay&comma;OneWay&comma;OneTime的研究</a>
					<div>
						asp.net开发中,数据绑定是一个很简单的概念,控件与数据绑定后,控件可以自动把数据按一定的形式显示出来.(当然控件上的值改变后,可以通过提交页面表单,同时后台服务端代码接收新值更新数据) silv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWN1ZM.html" rel="bookmark" class="title">【疑问】大家进来我有需求问一下子</a>
					<div>
						问题描述 大家好我初中毕业,喜欢编程喜欢编写软件,也喜欢网页,但是到底该学那种冲那开始学?希望大家能帮我解答谢谢了QQ:1748775564 解决方案 解决方案二:c到C#然后到MYSQL有人推荐这套 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
